
Efl_Object *_efl_canvas_image_internal_efl_object_constructor(Eo *obj, Evas_Image_Data *pd);


void _efl_canvas_image_internal_efl_object_destructor(Eo *obj, Evas_Image_Data *pd);


Efl_Object *_efl_canvas_image_internal_efl_object_finalize(Eo *obj, Evas_Image_Data *pd);


void _efl_canvas_image_internal_efl_object_debug_name_override(Eo *obj, Evas_Image_Data *pd, Eina_Strbuf *sb);


Eina_Bool _efl_canvas_image_internal_efl_file_save_save(const Eo *obj, Evas_Image_Data *pd, const char *file, const char *key, const Efl_File_Save_Info *info);


void _efl_canvas_image_internal_efl_gfx_image_orientable_image_orientation_set(Eo *obj, Evas_Image_Data *pd, Efl_Gfx_Image_Orientation dir);


Efl_Gfx_Image_Orientation _efl_canvas_image_internal_efl_gfx_image_orientable_image_orientation_get(const Eo *obj, Evas_Image_Data *pd);


void _efl_canvas_image_internal_efl_gfx_image_smooth_scale_set(Eo *obj, Evas_Image_Data *pd, Eina_Bool smooth_scale);


Eina_Bool _efl_canvas_image_internal_efl_gfx_image_smooth_scale_get(const Eo *obj, Evas_Image_Data *pd);


double _efl_canvas_image_internal_efl_gfx_image_ratio_get(const Eo *obj, Evas_Image_Data *pd);


Eina_Rect _efl_canvas_image_internal_efl_gfx_image_content_region_get(const Eo *obj, Evas_Image_Data *pd);


void _efl_canvas_image_internal_efl_gfx_image_border_insets_set(Eo *obj, Evas_Image_Data *pd, int l, int r, int t, int b);


void _efl_canvas_image_internal_efl_gfx_image_border_insets_get(const Eo *obj, Evas_Image_Data *pd, int *l, int *r, int *t, int *b);

static void __eolian_efl_canvas_image_internal_efl_gfx_image_border_insets_get(const Eo *obj, Evas_Image_Data *pd, int *l, int *r, int *t, int *b)
{
   if (l) *l = 0;
   if (r) *r = 0;
   if (t) *t = 0;
   if (b) *b = 0;
   _efl_canvas_image_internal_efl_gfx_image_border_insets_get(obj, pd, l, r, t, b);
}


void _efl_canvas_image_internal_efl_gfx_image_border_insets_scale_set(Eo *obj, Evas_Image_Data *pd, double scale);


double _efl_canvas_image_internal_efl_gfx_image_border_insets_scale_get(const Eo *obj, Evas_Image_Data *pd);


void _efl_canvas_image_internal_efl_gfx_image_center_fill_mode_set(Eo *obj, Evas_Image_Data *pd, Efl_Gfx_Center_Fill_Mode fill);


Efl_Gfx_Center_Fill_Mode _efl_canvas_image_internal_efl_gfx_image_center_fill_mode_get(const Eo *obj, Evas_Image_Data *pd);


Eina_Error _efl_canvas_image_internal_efl_gfx_image_stretch_region_set(Eo *obj, Evas_Image_Data *pd, Eina_Iterator *horizontal, Eina_Iterator *vertical);


void _efl_canvas_image_internal_efl_gfx_image_stretch_region_get(const Eo *obj, Evas_Image_Data *pd, Eina_Iterator **horizontal, Eina_Iterator **vertical);

static void __eolian_efl_canvas_image_internal_efl_gfx_image_stretch_region_get(const Eo *obj, Evas_Image_Data *pd, Eina_Iterator **horizontal, Eina_Iterator **vertical)
{
   if (horizontal) *horizontal = NULL;
   if (vertical) *vertical = NULL;
   _efl_canvas_image_internal_efl_gfx_image_stretch_region_get(obj, pd, horizontal, vertical);
}


void _efl_canvas_image_internal_efl_gfx_image_scale_hint_set(Eo *obj, Evas_Image_Data *pd, Efl_Gfx_Image_Scale_Hint hint);


Efl_Gfx_Image_Scale_Hint _efl_canvas_image_internal_efl_gfx_image_scale_hint_get(const Eo *obj, Evas_Image_Data *pd);


void _efl_canvas_image_internal_efl_gfx_image_content_hint_set(Eo *obj, Evas_Image_Data *pd, Efl_Gfx_Image_Content_Hint hint);


Efl_Gfx_Image_Content_Hint _efl_canvas_image_internal_efl_gfx_image_content_hint_get(const Eo *obj, Evas_Image_Data *pd);


Eina_Size2D _efl_canvas_image_internal_efl_gfx_image_image_size_get(const Eo *obj, Evas_Image_Data *pd);


Eina_Error _efl_canvas_image_internal_efl_gfx_image_image_load_error_get(const Eo *obj, Evas_Image_Data *pd);


void _efl_canvas_image_internal_efl_gfx_buffer_alpha_set(Eo *obj, Evas_Image_Data *pd, Eina_Bool alpha);


Eina_Bool _efl_canvas_image_internal_efl_gfx_buffer_alpha_get(const Eo *obj, Evas_Image_Data *pd);


void _efl_canvas_image_internal_efl_gfx_buffer_buffer_update_add(Eo *obj, Evas_Image_Data *pd, const Eina_Rect *region);


Efl_Gfx_Colorspace _efl_canvas_image_internal_efl_gfx_buffer_colorspace_get(const Eo *obj, Evas_Image_Data *pd);


void _efl_canvas_image_internal_efl_gfx_fill_fill_set(Eo *obj, Evas_Image_Data *pd, Eina_Rect fill);


Eina_Rect _efl_canvas_image_internal_efl_gfx_fill_fill_get(const Eo *obj, Evas_Image_Data *pd);


void _efl_canvas_image_internal_efl_gfx_fill_fill_auto_set(Eo *obj, Evas_Image_Data *pd, Eina_Bool filled);


Eina_Bool _efl_canvas_image_internal_efl_gfx_fill_fill_auto_get(const Eo *obj, Evas_Image_Data *pd);


void _efl_canvas_image_internal_efl_gfx_filter_filter_program_set(Eo *obj, Evas_Image_Data *pd, const char *code, const char *name);


Eina_Size2D _efl_canvas_image_internal_efl_gfx_view_view_size_get(const Eo *obj, Evas_Image_Data *pd);


void _efl_canvas_image_internal_efl_canvas_filter_internal_filter_dirty(Eo *obj, Evas_Image_Data *pd);


Eina_Bool _efl_canvas_image_internal_efl_canvas_filter_internal_filter_input_alpha(Eo *obj, Evas_Image_Data *pd);


Eina_Bool _efl_canvas_image_internal_efl_canvas_filter_internal_filter_input_render(Eo *obj, Evas_Image_Data *pd, void *filter, void *engine, void *output, void *drawctx, void *data, int l, int r, int t, int b, int x, int y, Eina_Bool do_async);


void _efl_canvas_image_internal_efl_canvas_filter_internal_filter_state_prepare(Eo *obj, Evas_Image_Data *pd, Efl_Canvas_Filter_State *state, void *data);


static Eina_Bool
_efl_canvas_image_internal_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_CANVAS_IMAGE_INTERNAL_EXTRA_OPS
#define EFL_CANVAS_IMAGE_INTERNAL_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_canvas_image_internal_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_canvas_image_internal_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_finalize, _efl_canvas_image_internal_efl_object_finalize),
      EFL_OBJECT_OP_FUNC(efl_debug_name_override, _efl_canvas_image_internal_efl_object_debug_name_override),
      EFL_OBJECT_OP_FUNC(efl_file_save, _efl_canvas_image_internal_efl_file_save_save),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_orientation_set, _efl_canvas_image_internal_efl_gfx_image_orientable_image_orientation_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_orientation_get, _efl_canvas_image_internal_efl_gfx_image_orientable_image_orientation_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_smooth_scale_set, _efl_canvas_image_internal_efl_gfx_image_smooth_scale_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_smooth_scale_get, _efl_canvas_image_internal_efl_gfx_image_smooth_scale_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_ratio_get, _efl_canvas_image_internal_efl_gfx_image_ratio_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_content_region_get, _efl_canvas_image_internal_efl_gfx_image_content_region_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_border_insets_set, _efl_canvas_image_internal_efl_gfx_image_border_insets_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_border_insets_get, __eolian_efl_canvas_image_internal_efl_gfx_image_border_insets_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_border_insets_scale_set, _efl_canvas_image_internal_efl_gfx_image_border_insets_scale_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_border_insets_scale_get, _efl_canvas_image_internal_efl_gfx_image_border_insets_scale_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_center_fill_mode_set, _efl_canvas_image_internal_efl_gfx_image_center_fill_mode_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_center_fill_mode_get, _efl_canvas_image_internal_efl_gfx_image_center_fill_mode_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_stretch_region_set, _efl_canvas_image_internal_efl_gfx_image_stretch_region_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_stretch_region_get, __eolian_efl_canvas_image_internal_efl_gfx_image_stretch_region_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_scale_hint_set, _efl_canvas_image_internal_efl_gfx_image_scale_hint_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_scale_hint_get, _efl_canvas_image_internal_efl_gfx_image_scale_hint_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_content_hint_set, _efl_canvas_image_internal_efl_gfx_image_content_hint_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_content_hint_get, _efl_canvas_image_internal_efl_gfx_image_content_hint_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_size_get, _efl_canvas_image_internal_efl_gfx_image_image_size_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_load_error_get, _efl_canvas_image_internal_efl_gfx_image_image_load_error_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_buffer_alpha_set, _efl_canvas_image_internal_efl_gfx_buffer_alpha_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_buffer_alpha_get, _efl_canvas_image_internal_efl_gfx_buffer_alpha_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_buffer_update_add, _efl_canvas_image_internal_efl_gfx_buffer_buffer_update_add),
      EFL_OBJECT_OP_FUNC(efl_gfx_buffer_colorspace_get, _efl_canvas_image_internal_efl_gfx_buffer_colorspace_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_fill_set, _efl_canvas_image_internal_efl_gfx_fill_fill_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_fill_get, _efl_canvas_image_internal_efl_gfx_fill_fill_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_fill_auto_set, _efl_canvas_image_internal_efl_gfx_fill_fill_auto_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_fill_auto_get, _efl_canvas_image_internal_efl_gfx_fill_fill_auto_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_filter_program_set, _efl_canvas_image_internal_efl_gfx_filter_filter_program_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_view_size_get, _efl_canvas_image_internal_efl_gfx_view_view_size_get),
      EFL_OBJECT_OP_FUNC(evas_filter_dirty, _efl_canvas_image_internal_efl_canvas_filter_internal_filter_dirty),
      EFL_OBJECT_OP_FUNC(evas_filter_input_alpha, _efl_canvas_image_internal_efl_canvas_filter_internal_filter_input_alpha),
      EFL_OBJECT_OP_FUNC(evas_filter_input_render, _efl_canvas_image_internal_efl_canvas_filter_internal_filter_input_render),
      EFL_OBJECT_OP_FUNC(evas_filter_state_prepare, _efl_canvas_image_internal_efl_canvas_filter_internal_filter_state_prepare),
      EFL_CANVAS_IMAGE_INTERNAL_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_canvas_image_internal_class_desc = {
   EO_VERSION,
   "Efl.Canvas.Image_Internal",
   EFL_CLASS_TYPE_REGULAR_NO_INSTANT,
   sizeof(Evas_Image_Data),
   _efl_canvas_image_internal_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_canvas_image_internal_class_get, &_efl_canvas_image_internal_class_desc, EFL_CANVAS_OBJECT_CLASS, EFL_CANVAS_FILTER_INTERNAL_MIXIN, EFL_GFX_IMAGE_INTERFACE, EFL_GFX_BUFFER_INTERFACE, EFL_GFX_FILL_INTERFACE, EFL_GFX_VIEW_INTERFACE, EFL_GFX_IMAGE_ORIENTABLE_INTERFACE, EFL_FILE_SAVE_INTERFACE, NULL);
